body, html {
  height: 100%;
  margin: 0;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  font-family: Arial, sans-serif;
  background-color: #f4f4f4;
}

#scramble {
  font-size: 20px;
  margin-bottom: 10px;
  color: #333;
}

#timer {
  font-size: 48px;
  color: #000;
  border: 2px solid #ddd;
  padding: 20px;
  text-align: center;
  background-color: #fff;
  width: 300px;
  box-shadow: 0px 0px 10px 0px rgba(0,0,0,0.1);
  transition: color 0.3s ease-in-out;
}

#timer.ready {
  color: green;
}

#stats {
  margin-top: 20px;
  text-align: center;
}

#bestTime, #averageTime, #lastTime {
  font-size: 16px;
  margin-bottom: 5px;
}

#solveList {
  list-style: none;
  padding: 0;
  margin: 0;
  max-height: 200px;
  overflow-y: auto;
  border: 1px solid #ddd;
  width: 250px;
  padding: 10px;
}

#solveList li {
  font-size: 14px;
  padding: 3px;
  border-bot  tom: 1px solid #ccc;
}

#solveList li:last-child {
  border-bottom: none;
}
